Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.logic.condition
Class BooleanConditionBase

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.taskdefs.condition.ConditionBase
                  |
                  +--net.sf.antcontrib.logic.condition.BooleanConditionBase

public class BooleanConditionBase
extends org.apache.tools.ant.taskdefs.condition.ConditionBase

Extends ConditionBase so I can get access to the condition count and the first condition. This is the class that the BooleanConditionTask is proxy for.

Developed for use with Antelope, migrated to ant-contrib Oct 2003.

Author:
  Dale Anson, danson@germane-software.com

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`BooleanConditionBase()`

Method Summary
`void` | `addIsGreaterThan(IsGreaterThan i)`
`void` | `addIsLessThan(IsLessThan i)`
`void` | `addIsPropertyFalse(IsPropertyFalse i)` Adds a feature to the IsPropertyFalse attribute of the BooleanConditionBase object
`void` | `addIsPropertyTrue(IsPropertyTrue i)` Adds a feature to the IsPropertyTrue attribute of the BooleanConditionBase object
`int` | `getConditionCount()` Gets the conditionCount attribute of the BooleanConditionBase object
`org.apache.tools.ant.taskdefs.condition.Condition` | `getFirstCondition()` Gets the firstCondition attribute of the BooleanConditionBase object

Methods inherited from class org.apache.tools.ant.taskdefs.condition.ConditionBase
`addAnd, addAvailable, addChecksum, addContains, addEquals, addFilesMatch, addHttp, addIsFalse, addIsSet, addIsTrue, addNot, addOr, addOs, addSocket, addUptodate, countConditions, getConditions`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanConditionBase

    public BooleanConditionBase()

Method Detail

### getConditionCount

    public int getConditionCount()

  Gets the conditionCount attribute of the BooleanConditionBase object

  Returns:
    The conditionCount value

### getFirstCondition

    public org.apache.tools.ant.taskdefs.condition.Condition getFirstCondition()

  Gets the firstCondition attribute of the BooleanConditionBase object

  Returns:
    The firstCondition value

### addIsPropertyTrue

    public void addIsPropertyTrue(IsPropertyTrue i)

  Adds a feature to the IsPropertyTrue attribute of the BooleanConditionBase object

  Parameters:
    `i` - The feature to be added to the IsPropertyTrue attribute

### addIsPropertyFalse

    public void addIsPropertyFalse(IsPropertyFalse i)

  Adds a feature to the IsPropertyFalse attribute of the BooleanConditionBase object

  Parameters:
    `i` - The feature to be added to the IsPropertyFalse attribute

### addIsGreaterThan

    public void addIsGreaterThan(IsGreaterThan i)

### addIsLessThan

    public void addIsLessThan(IsLessThan i)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD